Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoMarshalSpec.data_union.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.ochafik.lang.jnaerator.runtime.Union<MonoMarshalSpec.data_union,MonoMarshalSpec.data_union.ByValue,MonoMarshalSpec.data_union.ByReference>
                  com.nativelibs4java.mono.MonoMarshalSpec.data_union
                      com.nativelibs4java.mono.MonoMarshalSpec.data_union.ByReference

All Implemented Interfaces:
  StructureType, StructureTypeDependent, Structure.ByReference

Enclosing class:
  MonoMarshalSpec.data_union

    public static class MonoMarshalSpec.data_union.ByReference

extends MonoMarshalSpec.data_union
implements Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class com.nativelibs4java.mono.MonoMarshalSpec.data_union
`MonoMarshalSpec.data_union.array_data_struct, MonoMarshalSpec.data_union.ByReference, MonoMarshalSpec.data_union.ByValue, MonoMarshalSpec.data_union.custom_data_struct, MonoMarshalSpec.data_union.safearray_data_struct`

Field Summary

Fields inherited from class com.nativelibs4java.mono.MonoMarshalSpec.data_union
`array_data, custom_data, safearray_data`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoMarshalSpec.data_union.ByReference()`

Method Summary

Methods inherited from class com.nativelibs4java.mono.MonoMarshalSpec.data_union
`newByReference, newByValue, newInstance`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Union
`byReference, byValue, clone, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, useMemory, write`

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getBitsAnnotation, getFieldOrder, getPointer, getStructAlignment, hashCode, newInstance, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Constructor Detail

### MonoMarshalSpec.data_union.ByReference

    public MonoMarshalSpec.data_union.ByReference()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD